function MqttModuleUpdatePage()
{
  var SaveGlobalVariable    = function(Row){MqttModuleUpdatePage.prototype._SaveGlobalVariable_(Row);};
  var IsSaveGlobalVariable  = function(){return MqttModuleUpdatePage.prototype._IsSaveGlobalVariable_();};
  var ShowFirstPage         = function(){MqttModuleUpdatePage.prototype._ShowFirstPage_();};
  this.Initialization       = function(){MqttModuleUpdatePage.prototype._Initialization_();};
}










function MqttModuleFirstPage()
{
  //建立資料
  var CreateMqttSettingObject   = function(number){MqttModuleFirstPage.prototype._CreateMqttSettingObject_(number);};
  var BuildMqttModuleAllObject  = function(that){MqttModuleFirstPage.prototype._BuildMqttModuleAllObject_(that);};
  var BuildMqttModuleObject     = function(ModuleName, number){MqttModuleFirstPage.prototype._BuildMqttModuleObject_(ModuleName, number);};
  //編碼
  var DeleteRepeatNumber = function(number){MqttModuleFirstPage.prototype._DeleteRepeatNumber_(number);};
  var UpdateNumber       = function(ObjectKey){MqttModuleFirstPage.prototype._UpdateNumber_(ObjectKey);};
  //工具列
  var UpdateTableToolbar = function(ObjectKey, DisplayNumber){MqttModuleFirstPage.prototype._UpdateTableToolbar_(ObjectKey, DisplayNumber);};
  this.ShowPreviousPage  = function(){MqttModuleFirstPage.prototype._ShowPreviousPage_();};
  this.ShowNextPage      = function(){MqttModuleFirstPage.prototype._ShowNextPage_();};
  //表格
  var ShowTable          = function(ObjectKey, DisplayNumber){MqttModuleFirstPage.prototype._ShowTable_(ObjectKey, DisplayNumber);};
  //對話框
  this.CopyDialogEnabled    = function(Event){MqttModuleFirstPage.prototype._CopyDialogEnabled_(Event);};
  this.CopyDialogDisabled   = function(){MqttModuleFirstPage.prototype._CopyDialogDisabled_();};
  this.ClearDialogEnabled   = function(Event){MqttModuleFirstPage.prototype._ClearDialogEnabled_(Event);};
  this.ClearDialogDisabled  = function(){MqttModuleFirstPage.prototype._ClearDialogDisabled_();};
  //介面
  this.RedisplayUi       = function(){MqttModuleFirstPage.prototype._RedisplayUi_();};
  //取值
  var GetDeviceName     = function(){return MqttModuleFirstPage.prototype._GetDeviceName_();};
  var GetAllDeviceName  = function(){return MqttModuleFirstPage.prototype._GetAllDeviceName_();};
  var GetAllNumber      = function(){return MqttModuleFirstPage.prototype._GetAllNumber_();};
  //複製
  var CopyGlobalVariable = function(DeviceName, number){MqttModuleFirstPage.prototype._CopyGlobalVariable_(DeviceName, number);};
  var CopyTickedModule   = function(){MqttModuleFirstPage.prototype._CopyTickedModule_();};
  this.CopyModule        = function(){MqttModuleFirstPage.prototype._CopyModule_();};
  //移除
  var RemoveGlobalVariable  = function(DeviceName, number){MqttModuleFirstPage.prototype._RemoveGlobalVariable_(DeviceName, number);};
  var RemoveTickedModule    = function(){MqttModuleFirstPage.prototype._RemoveTickedModule_();};
  this.DeleteModule         = function(){MqttModuleFirstPage.prototype._DeleteModule_();};
  this.ClearAllModule       = function(that){MqttModuleFirstPage.prototype._ClearAllModule_(that);};
  //判斷
  this.IsTickedModule = function(){return MqttModuleFirstPage.prototype._IsTickedModule_();};
  //載入
  var LoadLanName = function(){MqttModuleFirstPage.prototype._LoadLanName_();};
  //初始化
  var InitializationGlobalVariable  = function(){MqttModuleFirstPage.prototype._InitializationGlobalVariable_();};
  this.Initialization               = function(){MqttModuleFirstPage.prototype._Initialization_();};
  //檢查
  this.CheckModuleName        = function(that){MqttModuleFirstPage.prototype._CheckModuleName_(that);};
  var CheckMqttModuleQuantity = function(){return MqttModuleFirstPage.prototype._CheckMqttModuleQuantity_();};
  //傳輸
  var TransmissionJson  = function(ssocket, Command, JsonString, Callback){MqttModuleFirstPage.prototype._TransmissionJson_(ssocket, Command, JsonString, Callback);};
  //儲存
  var SaveModuleSetting = function(Result){MqttModuleFirstPage.prototype._SaveModuleSetting_(Result);};
  var SaveConvertSetting = function(Result){MqttModuleFirstPage.prototype._SaveConvertSetting_(Result);};
  this.SaveDataLayerAndServiceLayerVariables = function(Result){return MqttModuleFirstPage.prototype._SaveDataLayerAndServiceLayerVariables_(Result);};
  //按鈕
  this.ModuleAddNewRow  = function(that){MqttModuleFirstPage.prototype._ModuleAddNewRow_(that);};
  this.EditButton       = function(that){MqttModuleFirstPage.prototype._EditButton_(that);};
  this.SaveButton       = function(that){MqttModuleFirstPage.prototype._SaveButton_(that);};
  //下拉選單
  this.ChangeLanDevice  = function(that){MqttModuleFirstPage.prototype._ChangeLanDevice_(that);};
}










function MqttModuleSecondPage()
{
	//檢查
	this.CheckModuleName = function(that){MqttModuleSecondPage.prototype._CheckModuleName_(that);};
	this.CheckMqttConnection = function(){MqttModuleSecondPage.prototype._CheckMqttConnection_();};
	this.CheckTopic = function(that){MqttModuleSecondPage.prototype._CheckTopic_(that);};
	this.CheckDataNumber = function(that){MqttModuleSecondPage.prototype._CheckDataNumber_(that);};
	this.CheckVariableName = function(){MqttModuleSecondPage.prototype._CheckVariableName_();};
	//設定
	var SetFormInitialValue = function(number){MqttModuleSecondPage.prototype._SetFormInitialValue_(number);};
	var SetInitialValue = function(number){MqttModuleSecondPage.prototype._SetInitialValue_(number);};
	var SetBrokerValue = function(number, Table, RemoteNumber){MqttModuleSecondPage.prototype._SetBrokerValue_(number, Table, RemoteNumber);};
	var SetLocalBrokerName = function(Tr, obj, BrokerName){MqttModuleSecondPage.prototype._SetLocalBrokerName_(Tr, obj, BrokerName);};
	var SetRemoteBrokerName = function(Tr, obj, RemoteNumber, BrokerName){MqttModuleSecondPage.prototype._SetRemoteBrokerName_(Tr, obj, RemoteNumber, BrokerName);};
	var SetVariableTableRow = function(Data){MqttModuleSecondPage.prototype._SetVariableTableRow_(Data);};
	var SetVariableTableInitialValue = function(number){MqttModuleSecondPage.prototype._SetVariableTableInitialValue_(number);};
	//取得
	var GetTableVariableName = function(){MqttModuleSecondPage.prototype._GetTableVariableName_();};
	var GetMqttConnection = function(){MqttModuleSecondPage.prototype._GetMqttConnection_();};
	var GetSettingFormValue = function(){MqttModuleSecondPage.prototype._GetSettingFormValue_();};
	var GetVariableTableRowData = function(){MqttModuleSecondPage.prototype._GetVariableTableRowData_();};
	var GetMaxAddress = function(CurrentData){MqttModuleSecondPage.prototype._GetMaxAddress_(CurrentData);};
	var GetStartAddress = function(CurrentData){MqttModuleSecondPage.prototype._GetStartAddress_(CurrentData);};
	var GetPublishTopic = function(VariableName){MqttModuleSecondPage.prototype._GetPublishTopic_(VariableName);};
	var GetSubscribeTopic = function(VariableName){MqttModuleSecondPage.prototype._GetSubscribeTopic_(VariableName);};
	//刪除
	var ClearTable = function(){MqttModuleSecondPage.prototype._ClearTable_();};
	var RemoveTickedVariable = function(){MqttModuleSecondPage.prototype._RemoveTickedVariable_();};
	var ClearForm = function(){MqttModuleSecondPage.prototype._ClearForm_();};
	this.DeleteButton = function(){MqttModuleSecondPage.prototype._DeleteButton_();};
	this.DeleteTableButton = function(){MqttModuleSecondPage.prototype._DeleteTableButton_();};
	this.DeleteTable = function(){MqttModuleSecondPage.prototype._DeleteTable_();};
	this.NotDeleteTableButton = function(){MqttModuleSecondPage.prototype._NotDeleteTableButton_();};
	//列
	this.ShowColumn = function(){MqttModuleSecondPage.prototype._ShowColumn_();};
	this.HideColumn = function(){MqttModuleSecondPage.prototype._HideColumn_();};
	//
	var InsertVariableTableRowData = function(CurrentData){MqttModuleSecondPage.prototype._InsertVariableTableRowData_(CurrentData);};
	//判斷
	var IsNameFormat = function(Name){MqttModuleSecondPage.prototype._IsNameFormat_(Name);};
	var IsNameRepeat = function(AllName, Name){MqttModuleSecondPage.prototype._IsNameRepeat_(AllName, Name);};
	//Broker
	var LoadBroker = function(number){MqttModuleSecondPage.prototype._LoadBroker_(number);};
	var AddBrokerHtml = function(Table, RemoteNumber){MqttModuleSecondPage.prototype._AddBrokerHtml_(Table, RemoteNumber);};
	//新增，創建
	var BuildMqttVariableObject = function(number){MqttModuleSecondPage.prototype._BuildMqttVariableObject_(number)};
	var BuildMqttSettingObject = function(number){MqttModuleSecondPage.prototype._BuildMqttSettingObject_(number);};
	this.ProduceTable = function(that){MqttModuleSecondPage.prototype._ProduceTable_(that);};
	var CreateTable = function(){MqttModuleSecondPage.prototype._CreateTable_();};
	var VariableTableAddNewRow = function(RowNumber){MqttModuleSecondPage.prototype._VariableTableAddNewRow_(RowNumber);};
	//其他
	var DecideColumnEnable = function(PublishTopic, DynamicRow){MqttModuleSecondPage.prototype._DecideColumnEnable_(PublishTopic, DynamicRow);};
	var ArrayInteraction = function(FirstArray, SecondArray){MqttModuleSecondPage.prototype._ArrayInteraction_(FirstArray, SecondArray);};
	this.RetainCheckbox = function(that){MqttModuleSecondPage.prototype._RetainCheckbox_(that);};
	//其他服務同步資料
	var SynchronizeOtherServiceData = function(number){MqttModuleSecondPage.prototype._SynchronizeOtherServiceData_(number);};
	var InitialMqttToOpcuaEmptyObject = function(object, number){MqttModuleSecondPage.prototype._InitialMqttToOpcuaEmptyObject_(object, number);};
	var RetainMqttToOpcuaData = function(object, number){MqttModuleSecondPage.prototype._RetainMqttToOpcuaData_(object, number);};
	var InitialMqttToMysqlEmptyObject = function(object, number){MqttModuleSecondPage.prototype._InitialMqttToMysqlEmptyObject_(object, number);};
	var RetainMqttToMysqlData = function(object, number){MqttModuleSecondPage.prototype._RetainMqttToMysqlData_(object, number);};
	var InitialMqttToMsSqlEmptyObject = function(object, number){MqttModuleSecondPage.prototype._InitialMqttToMsSqlEmptyObject_(object, number);};
	var RetainMqttToMsSqlData = function(object, number){MqttModuleSecondPage.prototype._RetainMqttToMsSqlData_(object, number);};
	var CreateVariableEmptyObject = function(number){MqttModuleSecondPage.prototype._CreateVariableEmptyObject_(number);};
	//按鈕
	this.ConfirmButton = function(that){MqttModuleSecondPage.prototype._ConfirmButton_(that);};
	this.NoConfirmButton = function(){MqttModuleSecondPage.prototype._NoConfirmButton_();};
}